Subject: Re: Touring UK

From: [email-masked] (MikeWolfe)
Date: Wed, 20 Mar 96 08:04 WET

>To all:
>Lucky me! For two weeks in April I will be visiting the UK. I would
>appreciate any suggestions as to places to visit for blacksmithing,
>industrial heritage, cutlery, iron making, etc. related museums, galleries,
>or exhibitions. If you have first hand knowledge and can recommend the
>visit then great! If you only know of the site from word of mouth or other
>source and I visit them I will report back to the list what I find. I did
>contact someone in the British Artist Blacksmiths Assoc. but I did get any
>repy as yet. Thanks if you respond.
>
>
>
>
I was just told by someone, there is a room at the Victoria-Albert museum.
devoted to iron work

mwolfe